graph_algorithm.hpp File Reference

Various algorithms for graph manipulation. More...

`#include <map>`
`#include <claw/impl/graph_algorithm.tpp>`

Go to the source code of this file.

## Classes

class | claw::scan_events< Graph >
| Different stages of graph scanning. More...
class | claw::breadth_scan< Graph, Events >
| This class performs a depth scan of a graph. Only reachables vertices from a given vertex are proceeded. More...
class | claw::depth_scan< Graph, Events >
| This class performs a depth scan of a graph. All nodes are proceeded. More...
class | claw::topological_sort< Graph >
| Pass this class as the "Envents" template parameter of the depth scan class to sort the vertices of a graph with the topological sort algorithm. More...

## Namespaces

namespace | claw
| This is the main namespace.

## Detailed Description

Various algorithms for graph manipulation.

Author
  Julien Jorge

Definition in file graph_algorithm.hpp.